.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the CapsuleShape2D.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_CapsuleShape2D:

CapsuleShape2D
==============

**Inherits:** :ref:`Shape2D<class_shape2d>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Capsule shape for 2D collisions.

Member Variables
----------------

  .. _class_CapsuleShape2D_height:

- :ref:`float<class_float>` **height** - The capsule's height.

  .. _class_CapsuleShape2D_radius:

- :ref:`float<class_float>` **radius** - The capsules's radius.


Description
-----------

Capsule shape for 2D collisions.

